'This script should be called to set skins customization on for wwp

function Usage
    Wscript.echo "Usage: cscript customizeskins.vbs AA RA SA UA"
    Wscript.echo
    Wscript.echo "Specify AA to set custom skins at Appliance level"
    Wscript.echo "Specify RA to set custom skins at Reseller level"
    Wscript.echo "Specify SA to set custom skins at Site level"
    Wscript.echo "Specify UA to set custom skins at User level"
    Wscript.echo
    Wscript.quit(1)
end function

set objArgs = Wscript.Arguments
if objArgs.Count < 1 then
    Usage()
end if
Set WshShell = WScript.CreateObject("WScript.Shell")

On Error Resume Next
baseWWPVersion=""
baseWWPVersion=WshShell.RegRead("HKLM\SOFTWARE\Ensim\WEBppliance\Upgrades\3.6.0")
if Err.Number <> 0 then
	baseWWPVersion=WshShell.RegRead("HKLM\SOFTWARE\Ensim\WEBppliance\version")
else
	baseWWPVersion="3.6.0"
end if
requiredWWPVersion="3.6"
rc = strcomp(baseWWPVersion,requiredWWPVersion,1)
if rc = -1 then
	WScript.echo "This upgrade requires Windows Webppliance 3.6"
	WScript.Quit(1)
end if

For I = 0 to objArgs.Count - 1
    if (strcomp(objArgs(I), "AA", 1) = 0) then
        WshShell.RegWrite "HKLM\Software\Ensim\webppliance\aa_skins", "1", "REG_SZ"
    elseif (strcomp(objArgs(I), "RA", 1) = 0) then
        WshShell.RegWrite "HKLM\Software\Ensim\webppliance\ra_skins", "1", "REG_SZ"
    elseif (strcomp(objArgs(I), "SA", 1) = 0) then
        WshShell.RegWrite "HKLM\Software\Ensim\webppliance\sa_skins", "1", "REG_SZ"
    elseif (strcomp(objArgs(I), "UA", 1) = 0) then
        WshShell.RegWrite "HKLM\Software\Ensim\webppliance\ua_skins", "1", "REG_SZ"
    end if
Next
set objArgs = nothing
set WshShell = nothing
Wscript.quit(0)
