# --------------------------------------------------------------------------
###
#
# Copyright (c) Ensim Corporation 2000, 2001   All Rights Reserved.
#
# This software is furnished under a license and may be used and copied
# only  in  accordance  with  the  terms  of such  license and with the
# inclusion of the above copyright notice. This software or any other
# copies thereof may not be provided or otherwise made available to any
# other person. No title to and ownership of the software is hereby
# transferred.
#
# The information in this software is subject to change without notice
# and  should  not be  construed  as  a commitment by Ensim Corporation.
# Ensim assumes no responsibility for the use or  reliability  of its
# software on equipment which is not supplied by Ensim.
#
###

# --------------------------------------------------------------------------
# :
# :  $
# -------------------------------------------------------------------------- 
def DefImage(name,file,title='',BORDER=0,HEIGHT=None,WIDTH=None,ALIGN="absmiddle",**other):
    import published
    if ALIGN is not None: other['ALIGN'] = ALIGN
    if BORDER is not None: other['BORDER'] = BORDER
    if HEIGHT is not None: other['HEIGHT'] = HEIGHT
    if WIDTH is not None: other['WIDTH'] = WIDTH
    return apply(published.ImageFile,[name,title,file],other)

#mercury skin

#skins
fill_body_background_gif__roles__         = ('Anonymous',)            
fill_body_background_gif                  = DefImage('fill_body_background_gif',
                                          'fill_body-background.gif')                                        
butn_mainnav_gif__roles__         = ('Anonymous',)            
butn_mainnav_gif                  = DefImage('butn_mainnav_gif',
                                          'butn_mainnav.gif')


clear_gif__roles__               = ('Anonymous',)
clear_gif                        = DefImage('clear_gif',
                                          'clear.gif')

hdr_logo_gif__roles__            = ('Anonymous',)
hdr_logo_gif                     = DefImage('hdr_logo_gif',
                                          'hdr_logo.gif')

hdr_siteadmin_gif__roles__       = ('Anonymous',)
hdr_siteadmin_gif                = DefImage('hdr_siteadmin_gif',
                                          'hdr_siteadmin.gif')
                                          
hdr_siteadmin_bg_gif__roles__    = ('Anonymous',)
hdr_siteadmin_bg_gif             = DefImage('hdr_siteadmin_bg_gif',
                                          'hdr_siteadmin-bg.gif')

hdr_serverstats_gif__roles__     = ('Anonymous',)
hdr_serverstats_gif              = DefImage('hdr_serverstats_gif',
                                          'hdr_serverstats.gif')

statcell_module_gif__roles__     = ('Anonymous',)
statcell_module_gif              = DefImage('statcell_module_gif',
                                          'statcell_module.gif')

hdrgfx_2_gif__roles__     = ('Anonymous',)
hdrgfx_2_gif              = DefImage('hdrgfx_2_gif',
                                          'hdrgfx_2.gif')

fill_hdr_divline_gif__roles__     = ('Anonymous',)
fill_hdr_divline_gif              = DefImage('fill_hdr_divline_gif',
                                          'fill_hdr-divline.gif')

hdr_divline_topcut_gif__roles__     = ('Anonymous',)
hdr_divline_topcut_gif              = DefImage('hdr_divline_topcut_gif',
                                          'hdr_divline-topcut.gif')

fill_hdr_divline_gif__roles__     = ('Anonymous',)
fill_hdr_divline_gif              = DefImage('fill_hdr_divline_gif',
                                          'fill_hdr-divline.gif')

fill_nav_background_gif__roles__     = ('Anonymous',)
fill_nav_background_gif              = DefImage('fill_nav_background_gif',
                                          'fill_nav-background.gif',
                                          BORDER=0, WIDTH=199, HEIGHT=5)

nav_header_gif__roles__     = ('Anonymous',)
nav_header_gif              = DefImage('nav_header_gif',
                                          'nav_header.gif',
                                          BORDER=0, WIDTH=199, HEIGHT=47)

fill_navbutn_background_gif__roles__     = ('Anonymous',)
fill_navbutn_background_gif              = DefImage('fill_navbutn_background_gif',
                                          'fill_navbutn-background.gif',
                                          BORDER=0, WIDTH=199, HEIGHT=5)

nav_footer_gif__roles__     = ('Anonymous',)
nav_footer_gif              = DefImage('nav_footer_gif',
                                          'nav_footer.gif')

logo_ensim_gif__roles__     = ('Anonymous',)
logo_ensim_gif              = DefImage('logo_ensim_gif',
                                          'logo_ensim.gif')

butn_subnav1_gif__roles__     = ('Anonymous',)
butn_subnav1_gif              = DefImage('butn_subnav1_gif',
                                          'butn_subnav1.gif')
                                          
butn_subnav2_gif__roles__     = ('Anonymous',)
butn_subnav2_gif              = DefImage('butn_subnav2_gif',
                                          'butn_subnav2.gif')

butn_subnav3_gif__roles__     = ('Anonymous',)
butn_subnav3_gif              = DefImage('butn_subnav3_gif',
                                          'butn_subnav3.gif')


sysoption_on_gif__roles__     = ('Anonymous',)
sysoption_on_gif              = DefImage('sysoption_on_gif',
                                          'sysoption_on.gif')

icon_webserver_small_gif__roles__     = ('Anonymous',)
icon_webserver_small_gif              = DefImage('icon_webserver_small_gif',
                                          'icon_webserver-small.gif')                                         

icon_webserver_gif__roles__     = ('Anonymous',)
icon_webserver_gif              = DefImage('icon_webserver_gif',
                                          'icon_webserver.gif')                                         

icon_dns_small_gif__roles__     = ('Anonymous',)
icon_dns_small_gif              = DefImage('icon_dns_small_gif',
                                          'icon_dns-small.gif')                                         
                                          
icon_dns_gif__roles__     = ('Anonymous',)
icon_dns_gif              = DefImage('icon_dns_gif',
                                          'icon_dns.gif')                                         
icon_email_small_gif__roles__     = ('Anonymous',)
icon_email_small_gif              = DefImage('icon_email_small_gif',
                                          'icon_email-small.gif')                                         


icon_email_gif__roles__     = ('Anonymous',)
icon_email_gif              = DefImage('icon_email_gif',
                                          'icon_email.gif')                                                                                 
                                          
icon_ftp_gif__roles__     = ('Anonymous',)
icon_ftp_gif              = DefImage('icon_ftp_gif',
                                          'icon_ftp.gif')                                                                                 

icon_sitereportsmanager_gif__roles__     = ('Anonymous',)
icon_sitereportsmanager_gif              = DefImage('icon_sitereportsmanager_gif',
                                          'icon_sitereportsmanager.gif')                                                                                 

modhdr_bg_gif__roles__     = ('Anonymous',)
modhdr_bg_gif              = DefImage('modhdr_bg_gif',
                                          'modhdr_bg.gif')                                         

bullet1_gif__roles__     = ('Anonymous',)
bullet1_gif              = DefImage('bullet1_gif',
                                          'bullet1.gif')                                         
                                          
bullet2_gif__roles__     = ('Anonymous',)
bullet2_gif              = DefImage('bullet2_gif',
                                          'bullet2.gif')                                         

body_corner1_gif__roles__     = ('Anonymous',)
body_corner1_gif              = DefImage('body_corner1_gif',
                                          'body_corner1.gif')                                         

body_corner2_gif__roles__     = ('Anonymous',)
body_corner2_gif              = DefImage('body_corner2_gif',
                                          'body_corner2.gif')                                         

fill_system_modules_gif__roles__     = ('Anonymous',)
fill_system_modules_gif              = DefImage('fill_system_modules_gif',
                                          'fill_system-modules.gif') 

icon_sites_gif__roles__     = ('Anonymous',)
icon_sites_gif              = DefImage('icon_sites_gif',
                                          'icon_sites.gif')                                         
                                          
icon_reseller_gif__roles__     = ('Anonymous',)
icon_reseller_gif              = DefImage('icon_reseller_gif',
                                          'icon_reseller.gif')

icon_configuration_gif__roles__     = ('Anonymous',)
icon_configuration_gif              = DefImage('icon_configuration_gif',
                                          'icon_configuration.gif')
                                      
modftr_start_gif__roles__     = ('Anonymous',)
modftr_start_gif              = DefImage('modftr_start_gif',
                                          'modftr_start.gif')

modftr_end_gif__roles__     = ('Anonymous',)
modftr_end_gif              = DefImage('modftr_end_gif',
                                          'modftr_end.gif')
                                          
hdr_siteadmin_bg_gif__roles__     = ('Anonymous',)
hdr_siteadmin_bg_gif              = DefImage('hdr_siteadmin_bg_gif',
                                          'hdr_siteadmin-bg.gif')

statcell_module_gif__roles__     = ('Anonymous',)
statcell_module_gif              = DefImage('statcell_module_gif',
                                          'statcell_module.gif')

statcell_module_gif__roles__     = ('Anonymous',)
statcell_module_gif              = DefImage('statcell_module_gif',
                                          'statcell_module.gif')

statcell_on_gif__roles__     = ('Anonymous',)
statcell_on_gif              = DefImage('statcell_on_gif',
                                          'statcell_on.gif')


hdr_serverstats_bg_gif__roles__     = ('Anonymous',)
hdr_serverstats_bg_gif              = DefImage('hdr_serverstats_bg_gif',
                                          'hdr_serverstats-bg.gif')

fill_navbutn_background_gif__roles__     = ('Anonymous',)
fill_navbutn_background_gif              = DefImage('fill_navbutn_background_gif',
                                          'fill_navbutn-background.gif')
                                        
modhdr_bg_orange_gif__roles__     = ('Anonymous',)
modhdr_bg_orange_gif              = DefImage('modhdr_bg_orange',
                                          'modhdr_bg-orange.gif')

modhdr_bg_purp_gif__roles__     = ('Anonymous',)
modhdr_bg_purp_gif              = DefImage('modhdr_bg_purp_gif',
                                          'modhdr_bg-purp.gif')

modhdr_bg_green_gif__roles__     = ('Anonymous',)
modhdr_bg_green_gif              = DefImage('modhdr_bg_green_gif',
                                          'modhdr_bg-green.gif')

icon_administration_gif__roles__     = ('Anonymous',)
icon_administration_gif              = DefImage('icon_administration_gif',
                                          'icon_administration.gif')

icon_tools_gif__roles__     = ('Anonymous',)
icon_tools_gif              = DefImage('icon_tools_gif',
                                          'icon_tools.gif')

icon_mysql_gif__roles__     = ('Anonymous',)
icon_mysql_gif              = DefImage('icon_mysql_gif',
                                          'icon_mysql.gif')
                                          